"""
Hacer una lista que tenga 8 numeros enteros y haga lo siguiente:
a) recorrer la lista
b) ordenarla y mostrarla
c) mostrar su longitud
d) buscar algun elemento que el usuario pida por teclado
e) hacer una funcion que recorra listas de numeros y devuelva un string 

"""

def mostrarString (lista_numeros):
    resultado = ""
    for numero in lista_numeros:
        resultado += str(numero)
        resultado += " "
    return resultado 
   
numeros = [4,5,7,8,2]

for num in numeros:
    print (f" elemento {numeros.index(num)} - {num}")

numeros.sort()
print(numeros)
print(len(numeros))

print(f" la lista convertida a string es: {mostrarString(numeros)}")
print(type(mostrarString(numeros)))


busqueda = int(input("introduce el numero a buscar"))

comprobar = isinstance(busqueda, int)

while not comprobar or busqueda <=0:
    busqueda = int(input("introduce el numero a buscar"))

5
if busqueda in numeros:
    search = numeros.index(busqueda)
    print(f"El número existe y está en el índice {search}")
else:
    print("El número no existe en la lista")
